IARRAY_IS_FULL_ARRAY(3)

EXPERIMENTAL_FUNC
iarray_is_full_array - Test if iarray is the same size as the underlying array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_is_full_array

(iarray array, flag *all_contiguous)

DESCRIPTION
This routine will test if an Intelligent Array is the same size and dimensionality as the underlying array descriptor.

array
    The Intelligent Array.

all_contiguous
    TRUE is written here if all dimensions are contiguous, else FALSE is written here. This may be NULL. Nothing is written here if the array is not full size.

RETURN VALUE
TRUE if the Intelligent Array is the same size, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/